/*
	$Id: ConsoleWriter.cpp, v 1.0 2005/01/18$

	Author:        Leo Reyes
    E-mail:        lreyes013@gmail.com    
    Copyright (C): 2004, Leo Reyes
	  
	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "ConsoleWriter.h"

ConsoleWriter cons;
HANDLE hConsoleErr = NULL;

// Writes a null-terminated string to the current console
void aprintf(const char *buf) {
  if (hConsoleErr) {
    int len = (int )strlen(buf);
    DWORD num;  
    WriteConsole(hConsoleErr, buf, len, &num, NULL);
  }
}

void aprintf(ostringstream &s) {
  aprintf(s.str().c_str());
}
