loadDLL :- load_foreign_library('WinMinePlayer.dll').
unloadDLL :- unload_foreign_library('WinMinePlayer.dll').

demo :-
  % Start a new game
  start_new_game,
  % Get the game board size
  update_mine_field,
  game_status(Status, Mines, Seconds),
  write('Game Status: '), write(Status), nl,
  write('Mines: '), write(Mines), nl,
  write('Seconds: '), write(Seconds), nl,
  get_size(Rows, Cols),
  write('Rows: '), write(Rows), write(', Cols: '), write(Cols), nl,
  % Select a random location
  random(RRow1), Row1 is round(RRow1 * Rows),
  random(RCol1), Col1 is round(RCol1 * Cols),
  % Left click on the first location
  move_mouse(Row1, Col1),
  left_click,
  
  % Select another random location
  random(RRow2), Row2 is round(RRow2 * Rows),
  random(RCol2), Col2 is round(RCol2 * Cols),
  % Right click on the second location
  move_mouse(Row2, Col2),
  right_click.
